# coding: utf-8
"""
    SportMonks

    Surpass the competition with superior sports data

    The version of the OpenAPI document: 1.0.0
    Generated by: https://konfigthis.com
"""

import typing
import inspect
from datetime import date, datetime
from sportmonks.client_custom import ClientCustom
from sportmonks.configuration import Configuration
from sportmonks.api_client import ApiClient
from sportmonks.type_util import copy_signature
from sportmonks.apis.tags.cities_api import CitiesApi
from sportmonks.apis.tags.continents_api import ContinentsApi
from sportmonks.apis.tags.countries_api import CountriesApi
from sportmonks.apis.tags.my_api import MyApi
from sportmonks.apis.tags.odds_api import OddsApi
from sportmonks.apis.tags.regions_api import RegionsApi
from sportmonks.apis.tags.sport_api import SportApi
from sportmonks.apis.tags.types_api import TypesApi



class Sportmonks(ClientCustom):

    def __init__(self, configuration: typing.Union[Configuration, None] = None, **kwargs):
        super().__init__(configuration, **kwargs)
        if (len(kwargs) > 0):
            configuration = Configuration(**kwargs)
        if (configuration is None):
            raise Exception("configuration is required")
        api_client = ApiClient(configuration)
        self.cities: CitiesApi = CitiesApi(api_client)
        self.continents: ContinentsApi = ContinentsApi(api_client)
        self.countries: CountriesApi = CountriesApi(api_client)
        self.my: MyApi = MyApi(api_client)
        self.odds: OddsApi = OddsApi(api_client)
        self.regions: RegionsApi = RegionsApi(api_client)
        self.sport: SportApi = SportApi(api_client)
        self.types: TypesApi = TypesApi(api_client)
