# do not import all endpoints into this module because that uses a lot of memory and stack frames
# if you need the ability to import all endpoints from this module, import them with
# from sportmonks.apis.path_to_api import path_to_api

import enum


class PathValues(str, enum.Enum):
    VERSION_CORE_CONTINENTS = "/{version}/core/continents"
    VERSION_CORE_CONTINENTS_CONTINENT_ID = "/{version}/core/continents/{continentId}"
    VERSION_CORE_COUNTRIES = "/{version}/core/countries"
    VERSION_CORE_COUNTRIES_COUNTRY_ID = "/{version}/core/countries/{countryId}"
    VERSION_CORE_COUNTRIES_SEARCH_NAME = "/{version}/core/countries/search/{name}"
    VERSION_CORE_REGIONS = "/{version}/core/regions"
    VERSION_CORE_REGIONS_REGION_ID = "/{version}/core/regions/{regionId}"
    VERSION_CORE_REGIONS_SEARCH_NAME = "/{version}/core/regions/search/{name}"
    VERSION_CORE_CITIES = "/{version}/core/cities"
    VERSION_CORE_CITIES_CITY_ID = "/{version}/core/cities/{cityId}"
    VERSION_CORE_CITIES_SEARCH_NAME = "/{version}/core/cities/search/{name}"
    VERSION_CORE_TYPES = "/{version}/core/types"
    VERSION_CORE_TYPES_TYPE_ID = "/{version}/core/types/{typeId}"
    VERSION_SPORT_LEAGUES = "/{version}/{sport}/leagues"
    VERSION_SPORT_LEAGUES_LIVE = "/{version}/{sport}/leagues/live"
    VERSION_SPORT_LEAGUES_LEAGUE_ID = "/{version}/{sport}/leagues/{leagueId}"
    VERSION_SPORT_LEAGUES_LEAGUE_ID_JERSEYS = "/{version}/{sport}/leagues/{leagueId}/jerseys"
    VERSION_SPORT_LEAGUES_LEAGUE_ID_INCLUDES = "/{version}/{sport}/leagues/{leagueId}/includes"
    VERSION_SPORT_LEAGUES_DATE_DATE = "/{version}/{sport}/leagues/date/{date}"
    VERSION_SPORT_LEAGUES_COUNTRIES_COUNTRY_ID = "/{version}/{sport}/leagues/countries/{countryId}"
    VERSION_SPORT_LEAGUES_SEARCH_NAME = "/{version}/{sport}/leagues/search/{name}"
    VERSION_SPORT_FIXTURES = "/{version}/{sport}/fixtures"
    VERSION_SPORT_FIXTURES_LATEST = "/{version}/{sport}/fixtures/latest"
    VERSION_SPORT_FIXTURES_FIXTURE_ID = "/{version}/{sport}/fixtures/{fixtureId}"
    VERSION_SPORT_FIXTURES_SEARCH_NAME = "/{version}/{sport}/fixtures/search/{name}"
    VERSION_SPORT_FIXTURES_DATE_DATE = "/{version}/{sport}/fixtures/date/{date}"
    VERSION_SPORT_FIXTURES_MULTI_FIXTURE_IDS = "/{version}/{sport}/fixtures/multi/{fixtureIds}"
    VERSION_SPORT_FIXTURES_BETWEEN_START_DATE_END_DATE = "/{version}/{sport}/fixtures/between/{startDate}/{endDate}"
    VERSION_SPORT_FIXTURES_BETWEEN_START_DATE_END_DATE_TEAM_ID = "/{version}/{sport}/fixtures/between/{startDate}/{endDate}/{teamId}"
    VERSION_SPORT_FIXTURES_HEADTOHEAD_FIRST_TEAM_SECOND_TEAM = "/{version}/{sport}/fixtures/head-to-head/{firstTeam}/{secondTeam}"
    VERSION_SPORT_LIVESCORES_LATEST = "/{version}/{sport}/livescores/latest"
    VERSION_SPORT_LIVESCORES = "/{version}/{sport}/livescores"
    VERSION_SPORT_LIVESCORES_INPLAY = "/{version}/{sport}/livescores/inplay"
    VERSION_SPORT_TEAMS = "/{version}/{sport}/teams"
    VERSION_SPORT_TEAMS_COUNTRIES_COUNTRY_ID = "/{version}/{sport}/teams/countries/{countryId}"
    VERSION_SPORT_TEAMS_SEASONS_SEASON_ID = "/{version}/{sport}/teams/seasons/{seasonId}"
    VERSION_SPORT_TEAMS_SEARCH_NAME = "/{version}/{sport}/teams/search/{name}"
    VERSION_SPORT_TEAMS_TEAM_ID = "/{version}/{sport}/teams/{teamId}"
    VERSION_SPORT_TEAMS_TEAM_ID_LEAGUES = "/{version}/{sport}/teams/{teamId}/leagues"
    VERSION_SPORT_TEAMS_TEAM_ID_LEAGUES_CURRENT = "/{version}/{sport}/teams/{teamId}/leagues/current"
    VERSION_SPORT_STANDINGS = "/{version}/{sport}/standings"
    VERSION_SPORT_STANDINGS_SEASONS_SEASON_ID = "/{version}/{sport}/standings/seasons/{seasonId}"
    VERSION_SPORT_STANDINGS_ROUNDS_ROUND_ID = "/{version}/{sport}/standings/rounds/{roundId}"
    VERSION_SPORT_STANDINGS_CORRECTIONS_SEASONS_SEASON_ID = "/{version}/{sport}/standings/corrections/seasons/{seasonId}"
    VERSION_SPORT_STANDINGS_LIVE_LEAGUES_LEAGUE_ID = "/{version}/{sport}/standings/live/leagues/{leagueId}"
    VERSION_SPORT_SCHEDULES_SEASONS_SEASON_ID = "/{version}/{sport}/schedules/seasons/{seasonId}"
    VERSION_SPORT_SCHEDULES_SEASONS_SEASON_ID_TEAMS_TEAM_ID = "/{version}/{sport}/schedules/seasons/{seasonId}/teams/{teamId}"
    VERSION_SPORT_SCHEDULES_TEAMS_TEAM_ID = "/{version}/{sport}/schedules/teams/{teamId}"
    VERSION_SPORT_PLAYERS = "/{version}/{sport}/players"
    VERSION_SPORT_PLAYERS_LATEST = "/{version}/{sport}/players/latest"
    VERSION_SPORT_PLAYERS_PLAYER_ID = "/{version}/{sport}/players/{playerId}"
    VERSION_SPORT_PLAYERS_COUNTRIES_COUNTRY_ID = "/{version}/{sport}/players/countries/{countryId}"
    VERSION_SPORT_PLAYERS_SEARCH_NAME = "/{version}/{sport}/players/search/{name}"
    VERSION_SPORT_NEWS_PREMATCH = "/{version}/{sport}/news/pre-match"
    VERSION_SPORT_NEWS_PREMATCH_SEASONS_SEASON_ID = "/{version}/{sport}/news/pre-match/seasons/{seasonId}"
    VERSION_SPORT_NEWS_PREMATCH_UPCOMING = "/{version}/{sport}/news/pre-match/upcoming"
    VERSION_SPORT_NEWS_POSTMATCH = "/{version}/{sport}/news/post-match"
    VERSION_SPORT_NEWS_POSTMATCH_SEASONS_SEASON_ID = "/{version}/{sport}/news/post-match/seasons/{seasonId}"
    VERSION_SPORT_NEWS_POSTMATCH_UPCOMING = "/{version}/{sport}/news/post-match/upcoming"
    VERSION_SPORT_VENUES = "/{version}/{sport}/venues"
    VERSION_SPORT_VENUES_VENUE_ID = "/{version}/{sport}/venues/{venueId}"
    VERSION_SPORT_VENUES_SEARCH_NAME = "/{version}/{sport}/venues/search/{name}"
    VERSION_SPORT_VENUES_SEASONS_SEASON_ID = "/{version}/{sport}/venues/seasons/{seasonId}"
    VERSION_SPORT_SEASONS = "/{version}/{sport}/seasons"
    VERSION_SPORT_SEASONS_SEASON_ID = "/{version}/{sport}/seasons/{seasonId}"
    VERSION_SPORT_SEASONS_TEAMS_TEAM_ID = "/{version}/{sport}/seasons/teams/{teamId}"
    VERSION_SPORT_SEASONS_SEARCH_NAME = "/{version}/{sport}/seasons/search/{name}"
    VERSION_SPORT_SQUADS_TEAMS_TEAM_ID = "/{version}/{sport}/squads/teams/{teamId}"
    VERSION_SPORT_SQUADS_SEASONS_SEASON_ID_TEAMS_TEAM_ID = "/{version}/{sport}/squads/seasons/{seasonId}/teams/{teamId}"
    VERSION_SPORT_TVSTATIONS = "/{version}/{sport}/tv-stations"
    VERSION_SPORT_TVSTATIONS_TV_STATION_ID = "/{version}/{sport}/tv-stations/{tvStationId}"
    VERSION_SPORT_TVSTATIONS_FIXTURES_FIXTURE_ID = "/{version}/{sport}/tv-stations/fixtures/{fixtureId}"
    VERSION_SPORT_COACHES = "/{version}/{sport}/coaches"
    VERSION_SPORT_COACHES_LATEST = "/{version}/{sport}/coaches/latest"
    VERSION_SPORT_COACHES_COACH_ID = "/{version}/{sport}/coaches/{coachId}"
    VERSION_SPORT_COACHES_COUNTRIES_COUNTRY_ID = "/{version}/{sport}/coaches/countries/{countryId}"
    VERSION_SPORT_COACHES_SEARCH_NAME = "/{version}/{sport}/coaches/search/{name}"
    VERSION_SPORT_TOPSCORERS_STAGES_STAGE_ID = "/{version}/{sport}/topscorers/stages/{stageId}"
    VERSION_SPORT_TOPSCORERS_SEASONS_SEASON_ID = "/{version}/{sport}/topscorers/seasons/{seasonId}"
    VERSION_SPORT_ROUNDS = "/{version}/{sport}/rounds"
    VERSION_SPORT_ROUNDS_ROUND_ID = "/{version}/{sport}/rounds/{roundId}"
    VERSION_SPORT_ROUNDS_SEARCH_NAME = "/{version}/{sport}/rounds/search/{name}"
    VERSION_SPORT_ROUNDS_SEASONS_SEASON_ID = "/{version}/{sport}/rounds/seasons/{seasonId}"
    VERSION_SPORT_STAGES = "/{version}/{sport}/stages"
    VERSION_SPORT_STAGES_STAGE_ID = "/{version}/{sport}/stages/{stageId}"
    VERSION_SPORT_STAGES_SEARCH_NAME = "/{version}/{sport}/stages/search/{name}"
    VERSION_SPORT_STAGES_SEASONS_SEASON_ID = "/{version}/{sport}/stages/seasons/{seasonId}"
    VERSION_SPORT_RIVALS = "/{version}/{sport}/rivals"
    VERSION_SPORT_RIVALS_TEAMS_TEAM_ID = "/{version}/{sport}/rivals/teams/{teamId}"
    VERSION_SPORT_COMMENTARIES = "/{version}/{sport}/commentaries"
    VERSION_SPORT_COMMENTARIES_FIXTURES_FIXTURE_ID = "/{version}/{sport}/commentaries/fixtures/{fixtureId}"
    VERSION_SPORT_REFEREES = "/{version}/{sport}/referees"
    VERSION_SPORT_REFEREES_REFEREE_ID = "/{version}/{sport}/referees/{refereeId}"
    VERSION_SPORT_REFEREES_SEASONS_SEASON_ID = "/{version}/{sport}/referees/seasons/{seasonId}"
    VERSION_SPORT_REFEREES_COUNTRIES_COUNTRY_ID = "/{version}/{sport}/referees/countries/{countryId}"
    VERSION_SPORT_REFEREES_SEARCH_NAME = "/{version}/{sport}/referees/search/{name}"
    VERSION_SPORT_TRANSFERS = "/{version}/{sport}/transfers"
    VERSION_SPORT_TRANSFERS_LATEST = "/{version}/{sport}/transfers/latest"
    VERSION_SPORT_TRANSFERS_TRANSFER_ID = "/{version}/{sport}/transfers/{transferId}"
    VERSION_SPORT_TRANSFERS_BETWEEN_START_DATE_END_DATE = "/{version}/{sport}/transfers/between/{startDate}/{endDate}"
    VERSION_SPORT_TRANSFERS_TEAMS_TEAM_ID = "/{version}/{sport}/transfers/teams/{teamId}"
    VERSION_SPORT_TRANSFERS_PLAYERS_PLAYER_ID = "/{version}/{sport}/transfers/players/{playerId}"
    VERSION_SPORT_STATES = "/{version}/{sport}/states"
    VERSION_SPORT_STATES_STATE_ID = "/{version}/{sport}/states/{stateId}"
    VERSION_SPORT_PREDICTIONS_PROBABILITIES = "/{version}/{sport}/predictions/probabilities"
    VERSION_SPORT_PREDICTIONS_PROBABILITIES_FIXTURES_FIXTURE_ID = "/{version}/{sport}/predictions/probabilities/fixtures/{fixtureId}"
    VERSION_SPORT_PREDICTIONS_VALUEBETS = "/{version}/{sport}/predictions/value-bets"
    VERSION_SPORT_PREDICTIONS_VALUEBETS_FIXTURES_FIXTURE_ID = "/{version}/{sport}/predictions/value-bets/fixtures/{fixtureId}"
    VERSION_SPORT_ODDS_PREMATCH = "/{version}/{sport}/odds/pre-match"
    VERSION_SPORT_ODDS_PREMATCH_LATEST = "/{version}/{sport}/odds/pre-match/latest"
    VERSION_SPORT_ODDS_PREMATCH_FIXTURES_FIXTURE_ID = "/{version}/{sport}/odds/pre-match/fixtures/{fixtureId}"
    VERSION_SPORT_ODDS_PREMATCH_FIXTURES_FIXTURE_ID_BOOKMAKERS_BOOKMAKER_ID = "/{version}/{sport}/odds/pre-match/fixtures/{fixtureId}/bookmakers/{bookmakerId}"
    VERSION_SPORT_ODDS_PREMATCH_FIXTURES_FIXTURE_ID_MARKETS_MARKET_ID = "/{version}/{sport}/odds/pre-match/fixtures/{fixtureId}/markets/{marketId}"
    VERSION_SPORT_ODDS_INPLAY = "/{version}/{sport}/odds/inplay"
    VERSION_SPORT_ODDS_INPLAY_LATEST = "/{version}/{sport}/odds/inplay/latest"
    VERSION_SPORT_ODDS_INPLAY_FIXTURES_FIXTURE_ID = "/{version}/{sport}/odds/inplay/fixtures/{fixtureId}"
    VERSION_SPORT_ODDS_INPLAY_FIXTURES_FIXTURE_ID_BOOKMAKERS_BOOKMAKER_ID = "/{version}/{sport}/odds/inplay/fixtures/{fixtureId}/bookmakers/{bookmakerId}"
    VERSION_SPORT_ODDS_INPLAY_FIXTURES_FIXTURE_ID_MARKETS_MARKET_ID = "/{version}/{sport}/odds/inplay/fixtures/{fixtureId}/markets/{marketId}"
    VERSION_MY_ENRICHMENTS = "/{version}/my/enrichments"
    VERSION_MY_RESOURCES = "/{version}/my/resources"
    VERSION_MY_LEAGUES = "/{version}/my/leagues"
    VERSION_ODDS_MARKETS = "/{version}/odds/markets"
    VERSION_ODDS_MARKETS_MARKET_ID = "/{version}/odds/markets/{marketId}"
    VERSION_ODDS_MARKETS_SEARCH_NAME = "/{version}/odds/markets/search/{name}"
    VERSION_SPORT_FIXTURES_UPCOMING_MARKETS_MARKET_ID = "/{version}/{sport}/fixtures/upcoming/markets/{marketId}"
    VERSION_ODDS_BOOKMAKERS = "/{version}/odds/bookmakers"
    VERSION_ODDS_BOOKMAKERS_BOOKMAKER_ID = "/{version}/odds/bookmakers/{bookmakerId}"
    VERSION_ODDS_BOOKMAKERS_SEARCH_NAME = "/{version}/odds/bookmakers/search/{name}"
    VERSION_ODDS_BOOKMAKERS_FIXTURES_FIXTURE_ID = "/{version}/odds/bookmakers/fixtures/{fixtureId}"
    VERSION_ODDS_BOOKMAKERS_FIXTURES_FIXTURE_ID_MAPPING = "/{version}/odds/bookmakers/fixtures/{fixtureId}/mapping"
